tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Francois Arcand <jfarc...@apache.org>
Subject Re: [5.0] [VOTE] Removal of the LE distribution
Date Thu, 03 Oct 2002 19:46:17 GMT

<ballot>
+1 [X] Yes, remove the LE distribution
-1 [ ] No, keep both distributions
</ballot>

But...The only problem I see is the Xerces version included in 1.3 
doesn't support XML Schema. So if people turn on validation, the parser 
will not work for Servlet 2.4/JSP 2.0....I recommend we make it clear in 
the installation note (or in another place). We can also display a 
warning message.....

-- Jeanfrancois


Remy Maucherat wrote:

> Hi all,
>
> Before starting to release 5.0.x milestones, I would like to propose 
> having only one distribution for Tomcat 5.0.x, and standardize on what 
> the LE distribution contains (so well, it's more the other 
> distribution which gets removed).
>
> It has some advantages:
> - it is slightly smaller (less these days now that the XML parser has 
> to be shipped again with Tomcat)
> - runs as-is on JDK 1.3 (because of the Xerces inclusion)
> - 99% Apache or Apache-style licence (the JDBC 2 standard extension is 
> needed for JDK 1.3 DataSource support :-()
> - less user confusion
>
> The main "problem" is that the user will need additional downloads for 
> some of the more advanced features, and the package will also not run 
> on JDK 1.2 as is (but from what I've seen, JDK 1.2 compatibility may 
> not be a priority for developers).
>
>
> Remy
>
>
> --
> To unsubscribe, e-mail:   
> <mailto:tomcat-dev-unsubscribe@jakarta.apache.org>
> For additional commands, e-mail: 
> <mailto:tomcat-dev-help@jakarta.apache.org>
>
>


--
To unsubscribe, e-mail:   <mailto:tomcat-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-dev-help@jakarta.apache.org>


Mime
View raw message